Name:          telepathy-qt
Version:       0.9.5
Release:       %mkrel 1
Summary:       Qt4 high-level bindings for Telepathy
License:       LGPLv2+
Group:         Networking/Instant messaging
Url:           http://telepathy.freedesktop.org/wiki/Telepathy-Qt4
Source0:       http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.xz
Patch0:        telepathy-qt-0.9.4-fix-link.patch
BuildRequires: python
BuildRequires: python-dbus
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: qt4-devel
BuildRequires: qt4-assistant
BuildRequires: libxml2-utils
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel 
BuildRequires: %{_lib}farstream-devel
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}gstreamer1.0-devel 
BuildRequires: %{_lib}qt4-devel 
BuildRequires: %{_lib}telepathy-farstream-devel 
BuildRequires: %{_lib}telepathy-glib-devel 

%description

Qt4 bindings for Telepathy.

#--------------------------------------------------------------------

%define libtelepathy_qt4_farstream_major 2
%define libtelepathy_qt4_farstream %mklibname telepathy-qt4-farstream %{libtelepathy_qt4_farstream_major}

%package -n %libtelepathy_qt4_farstream
Summary: Telepathy Qt Farstream runtime library
Group: System/Libraries
Obsoletes: %{_lib}telepathy-qt4-farsight2 < 0.9.1

%description -n %libtelepathy_qt4_farstream
Telepathy Qt Farstream runtime library.

%files -n %libtelepathy_qt4_farstream
%{_libdir}/libtelepathy-qt4-farstream.so.%{libtelepathy_qt4_farstream_major}*

#--------------------------------------------------------------------

%define libtelepathy_qt4_major 2
%define libtelepathy_qt4 %mklibname telepathy-qt4_ %{libtelepathy_qt4_major}

%package -n %libtelepathy_qt4
Summary: Telepathy Qt runtime library
Group: System/Libraries

%description -n %libtelepathy_qt4
Telepathy Qt runtime library.

%files -n %libtelepathy_qt4
%{_libdir}/libtelepathy-qt4.so.%{libtelepathy_qt4_major}*

#--------------------------------------------------------------------

%define olddevelname %mklibname telepathy-qt4 -d
%define develname %mklibname telepathy-qt -d

%package -n %{develname}
Summary: %{name} development files
Group: Development/Libraries
Obsoletes: %olddevelname < 0.9.0
Provides: lib%{name}-devel = %{version}
Provides: %name-devel = %{version}

%description -n %{develname}
Telepathy Qt development files.

%files -n %{develname}
%doc AUTHORS ChangeLog COPYING HACKING NEWS README
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/libtelepathy-qt4-service.a
%{_libdir}/cmake/TelepathyQt4
%{_libdir}/cmake/TelepathyQt4Farstream/
%{_libdir}/cmake/TelepathyQt4Service/

#--------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
%cmake
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Wed Mar 11 2015 bb <bb> 0.9.5-1pclos2015
- update
